<?php
$bucket="https://indeval-webdocs-publico-01122020.s3.amazonaws.com/";

$lang = $_GET['lang'];
$actionCardClaro = trim($_POST['actionCardClaro']);
$actionCardOscuro = trim($_POST['actionCardOscuro']);
$colorBotones = trim($_POST['colorBotones']);
$colorBullets = trim($_POST['colorBullets']);
$colorEnlacesFooter = trim($_POST['colorEnlacesFooter']);
$colorPrincipal = trim($_POST['colorPrincipal']);
$colorSecundario = trim($_POST['colorSecundario']);
$colorSubtitulos = trim($_POST['colorSubtitulos']);
$colorTextoGeneralParrafos = trim($_POST['colorTextoGeneralParrafos']);
$colorTextosPrincipales = trim($_POST['colorTextosPrincipales']);
$fondoBotones = trim($_POST['fondoBotones']);
$fondoEnlacesFooter = trim($_POST['fondoEnlacesFooter']);

$curl = curl_init();
curl_setopt_array($curl, array(
    CURLOPT_URL => 'https://api-us-east-1.graphcms.com/v2/ckkxmrn6cw3ga01ywc1spb2qu/master',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_POSTFIELDS =>'{"query":"mutation MyMutation {\\r\\n  updateGeneralidadDelSitio(data: {actionCardClaro: \\" '.$actionCardClaro.'\\", actionCardOscuro: \\" '.$actionCardOscuro.'\\", colorBotones: \\" '.$colorBotones.'\\", colorBullets: \\" '.$colorBullets.'\\", colorEnlacesFooter: \\" '.$colorEnlacesFooter.'\\", colorPrincipal: \\" '.$colorPrincipal.'\\", colorSecundario: \\" '.$colorSecundario.'\\", colorSubtitulos: \\" '.$colorSubtitulos.'\\", colorTextoGeneralParrafos: \\" '.$colorTextoGeneralParrafos.'\\", colorTextosPrincipales: \\" '.$colorTextosPrincipales.'\\", fondoBotones: \\" '.$fondoBotones.'\\", fondoEnlacesFooter: \\" '.$fondoEnlacesFooter.'\\", localizations: {update: {data: {actionCardClaro: \\" '.$actionCardClaro.'\\", actionCardOscuro: \\" '.$actionCardOscuro.'\\", colorBotones: \\" '.$colorBotones.'\\", colorBullets: \\" '.$colorBullets.'\\", colorEnlacesFooter: \\" '.$colorEnlacesFooter.'\\", colorPrincipal: \\" '.$colorPrincipal.'\\", colorSecundario: \\" '.$colorSecundario.'\\", colorSubtitulos: \\" '.$colorSubtitulos.'\\", colorTextoGeneralParrafos: \\" '.$colorTextoGeneralParrafos.'\\", colorTextosPrincipales: \\" '.$colorTextosPrincipales.'\\", fondoBotones: \\" '.$fondoBotones.'\\", fondoEnlacesFooter: \\" '.$fondoEnlacesFooter.'\\"}, locale: es_MX}}}, where: {id: \\"ckl076cy05vf80a267cvo1kzv\\"}) {\\r\\n    id\\r\\n  }\\r\\n  unpublishGeneralidadDelSitio(where: {id: \\"ckl076cy05vf80a267cvo1kzv\\"}) {\\r\\n    id\\r\\n  }\\r\\n  publishGeneralidadDelSitio(where: {id: \\"ckl076cy05vf80a267cvo1kzv\\"}, to: PUBLISHED, locales: es_MX) {\\r\\n    id\\r\\n  }\\r\\n}","variables":{}}',
    CURLOPT_HTTPHEADER => array(
      'Content-Type: application/json',
      'Cookie: __cfduid=da2693cdfd39b7377a8a05e305da45b8f1613001694'
    ),
  ));

    $response = curl_exec($curl);
    curl_close($curl);
    //echo $response;

    $jsonrespuesta = json_decode($response, true);
    $id = $jsonrespuesta['data']['updateGeneralidadDelSitio']['id'];

//echo $id;

  $sucess = "<p class='successmsg'>Estilos actualizados correctamente</p>";
  $fail = "<p class='errormsg'>Falló la actualización..</p> ";


if(strlen($id)>10){

    echo $sucess;

    $string = $newstatus;
    $string = '"'.$string.'"';
    echo '<script>
        
        setTimeout(() => {
            $(".popUpEstilos").fadeOut();
        }, 1500);
    </script>';
}

else{
    echo $fail;
}

?>